Subject: bug#61667: 29.0.60; Failure to redisplay

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Feb 2023 08:27:40 +0200

> Date: Thu, 23 Feb 2023 02:51:14 +0200
> Cc: Eli Zaretskii <[email-masked]>, Po Lu <[email-masked]>,
>  [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 22/02/2023 18:29, Gregory Heytings wrote:
> > 
> >>
> >> Indeed, I haven't managed to reproduce the problem even once when the 
> >> printing patch is applied.
> >>
> > 
> > You said the bug appeared a month ago or so, maybe you could try to bisect?
> 
> Excellent question.
> 
> I have now reproduced this going as far back as Emacs 28.2.
> 
> So I'm not sure where to look now -- I guess it could have been due to a 
> system upgrade, but I don't see anything specific in the apt upgrades 
> history. Upgrades did occur, though.

Something related to GTK or Glib threads, perhaps?  Or some change in
XDBE?

Anyway, if this was not caused by a change in Emacs, we should
continue the current course of actions, which is to figure out why the
display on the glass is not updated.